import request from '@/utils/request'

// 查询测评选专业类列表
export function listSyTestSelectCategory(query) {
  return request({
    url: '/sy/syTestSelectCategory/list',
    method: 'get',
    params: query
  })
}

// 查询测评选专业类详细
export function getSyTestSelectCategory(id) {
  return request({
    url: '/sy/syTestSelectCategory/' + id,
    method: 'get'
  })
}

// 新增测评选专业类
export function addSyTestSelectCategory(data) {
  return request({
    url: '/sy/syTestSelectCategory',
    method: 'post',
    data: data
  })
}

// 修改测评选专业类
export function updateSyTestSelectCategory(data) {
  return request({
    url: '/sy/syTestSelectCategory',
    method: 'put',
    data: data
  })
}

// 删除测评选专业类
export function delSyTestSelectCategory(id) {
  return request({
    url: '/sy/syTestSelectCategory/' + id,
    method: 'delete'
  })
}

// 导出测评选专业类
export function exportSyTestSelectCategory(query) {
  return request({
    url: '/sy/syTestSelectCategory/export',
    method: 'get',
    params: query
  })
}